%bcond_with tests

Summary:        Python bindings for the docker credentials store API
Name:           python-docker-pycreds
Version:        0.4.0
Release:        4%{?dist}
License:        ASL 2.0
URL:            https://github.com/shin-/dockerpy-creds/
Source0:        https://files.pythonhosted.org/packages/source/d/docker-pycreds/docker-pycreds-%{version}.tar.gz

BuildArch:      noarch


%description
This package provides python bindings for the docker credentials store API.

%package -n python3-docker-pycreds
Summary:        Python bindings for the docker credentials store API

BuildRequires:  python3-devel python3-setuptools python3-six
%if %{with tests}
BuildRequires:  python3-pytest
%endif
Requires:  python3-six
Provides:  python3-docker-pycreds = %{version}-%{release}

%description -n python3-docker-pycreds
This package provides python bindings for the docker credentials store API.


%prep
%autosetup -n docker-pycreds-%{version}


%build
%py3_build


%install
%py3_install


%check
%{__python3} -c "import dockerpycreds"
%if %{with tests}
PYTHONPATH="${PWD}" py.test-%{python3_version} -vv tests/
%endif 

%files -n python3-docker-pycreds
%license LICENSE
%doc README.md
%{python3_sitelib}/dockerpycreds
%{python3_sitelib}/docker_pycreds-%{version}-py%{python3_version}.egg-info


%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.0-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.0-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.4.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 11 2023 Wang Guodong <gordonwwang@tencent.com> - 0.4.0-1
- initial build
